Subject: Re: Sequoia 440EPx patches not working

From: Jerone Young <[email-masked]>
Date: Thu, 09 Aug 2007 08:42:04 -0500

Nope definitely using a uImage. I'll try a fresh source and try again ..
I did base it on kernel.org git tree so I'll try instead with 2.6.23-rc2
and see what happens.

n Thu, 2007-08-09 at 16:56 +0400, Vitaly Bordug wrote:
> On Wed, 08 Aug 2007 13:45:10 -0500
> Jerone Young wrote:
> 
> > Using the Sequoia (AMCC 440EPx) patches recently submitted to the
> > list I am unable to boot to fully boot a uImage built with these
> > patches under Uboot. It appears to hang in very early boot.
> > 
> > 
> > Here is the output:
> > => tftp 400000
> > sequoia/uImage ENET Speed is 100 Mbps - FULL duplex connection
> > (EMAC0) Using ppc_4xx_eth0
> > device TFTP from server 9.53.41.24; our IP address is
> > 9.53.41.38 Filename
> > 'sequoia/uImage'. Load address:
> > 0x400000 Loading:
> > #################################################################
> > #################################################################
> > #################################################################
> > #######################
> > done Bytes transferred = 1112434 (10f972
> > hex) => bootm
> > 400000 ## Booting image at
> > 00400000 ... Image Name:
> > Linux-2.6.23-rc2 Image Type:   PowerPC Linux Kernel Image (gzip
> > compressed) Data Size:    1112370 Bytes =  1.1
> > MB Load Address:
> > 00000000 Entry Point:
> > 00000000 Verifying Checksum ...
> > OK Uncompressing Kernel Image ... OK 
> > 
> > _______________________________________________
> > Linuxppc-dev mailing list
> > [email-masked]
> > https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> This seems to be a wrong image..
> 
> Are you using "make zImage" ?
> 
> The proper uImage after that command would be smth like cuImage* then...
>